<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Activity II</title>
</head>
<body>
    <h1>Software Engineering Code of Ethics and Professional Practice</h1>
    <h3>IEE-CS/ACM Joint Task Force on Software Engineering Ethics anf Professional Practices</h3>
    <hr>
     <p><strong>Keywords: </strong>code of ethics, professional responsibility, software engineering</p>

     <h3>PREAMBLE</h3>
     <p>The short version of the code summarizes aspirations at a high level of abstraction. The caluses that
         are included in the full version give examples and details of how these aspirations chang the way we act as a
         software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the
         aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
     </p>

     <h3>PRINCIPLES</h3>
     <ol type="numbered">
        <li><em>Public</em>. Software engineering shall act consistently with the public interest.</li>
        <li><em>Client and employer</em>. Software engineers shall act in a manner that si in the best interest of their client and employer, consistent with the 
        public interest</li>
        <li><em>Product</em>. Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
        <li><em>Judgement</em>. Software engineers shall maintain integrity and independence in their professional judgement</li>
        <li><em>Management</em>. Software engineers managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance</li>
        <li><em>Profession</em>.Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
        <li><em>Colleagues</em>. Software engineers shall be fair to and supportive of their colleagues.</li>
        <li><em>Self</em>. Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote the ethical approach to the practice of the profession.</li>
     </ol>
</body>
</html>